﻿using System;
using System.Drawing;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using converter.template;

namespace TestConverter.src.converter.test
{
    [TestClass]
    public class TestColor
    {
        [TestMethod]
        public void Construction()
        {
            Assert.AreEqual(Color.Black, ReportColor.FromString("Black"));
            Assert.AreEqual(Color.Black, ReportColor.FromString("bLaCk")); // different case
            Assert.IsTrue(Color.Black.ToArgb() == ReportColor.FromString("#000000").ToArgb());
            Assert.IsTrue(Color.BurlyWood.ToArgb() == ReportColor.FromString("#FFdeB887").ToArgb());
        }
    }
}
