﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using converter.template;

namespace TestConverter.src.converter.test
{
    [TestClass]
    public class TestSize
    {
        [TestMethod]
        public void Construction()
        {
            Size size = new Size("10pt");
            Assert.AreEqual(10, size.Value);
            Assert.AreEqual("pt", size.Units);

            size = new Size("10 pt");
            Assert.AreEqual(10, size.Value);
            Assert.AreEqual("pt", size.Units);

            size = new Size("10.5 cm");
            Assert.AreEqual(10.5, size.Value);
            Assert.AreEqual("cm", size.Units);

            size = new Size(".8in");
            Assert.AreEqual(0.8, size.Value);
            Assert.AreEqual("in", size.Units);
        }
    }
}
